Bug 19751 - Зависит от digikam из kde3
: Зависит от digikam из kde3
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kde4-digikam)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-04-24 12:19 by
Modified: 2009-08-17 15:08 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-04-24 12:19:25
При попытке на систму, в которой нет КДЕ3 сделать
sudo apt-get install kde4-digikam
имеем

Reading Package Lists... Done
Building Dependency Tree... Done
The following extra packages will be installed:
  digikam digikam-data digikam-i18n kde-settings kde4-digikam-data
kde4-digikam-i18n kdeaddons-konqueror kdebase-konqueror kdebase-libkonq
  kdelibs libavahi-qt3 libdigikam libkdcraw libkdcraw4 libkdcraw4-common
libkde4-digikam libkexiv2 libkexiv24 libkipi
The following NEW packages will be installed:
  kde4-digikam kde4-digikam-data kde4-digikam-i18n kdeaddons-konqueror
kdebase-konqueror
   libkdcraw libkdcraw4 libkdcraw4-common libkde4-digikam libkexiv2 libkexiv24
libkipi
0 upgraded, 20 newly installed, 0 removed and 0 not upgraded.
Need to get 0B/30.5MB of archives.
After unpacking 85.8MB of additional disk space will be used.


Т.е. дополнительно по зависимостям тянутся
digikam 
digikam-data 
digikam-i18n 
kde-settings 
kdeaddons-konqueror 
kdebase-konqueror 
kdebase-libkonq 
kdelibs 
libavahi-qt3 
libdigikam
которые, скорее всего, не нужны.
------- Comment #1 From 2009-04-24 13:31:47 -------
Да, я знаю это. Я уже поднимал тему в devel@
(http://lists.altlinux.org/pipermail/devel/2009-February/166747.html) - но,
видимо, пока безрезультатно. Это проблема не только у digikam, но есть она и у
некоторых других приложений KDE4. Что сделать мне в этом случае - я не знаю.
------- Comment #2 From 2009-06-05 16:22:25 -------
*** Bug 20336 has been marked as a duplicate of this bug. ***
------- Comment #3 From 2009-06-08 17:28:56 -------
Исключите из списка поиска зависимостей скрипт, который выполняет программы,
одноименные с kde3-шными и поставьте зависимость вручную
------- Comment #4 From 2009-08-17 12:25:01 -------
В kde4-digikam-1.0.0-alt0.2.beta3 вроде как FIXED?
------- Comment #5 From 2009-08-17 15:08:33 -------
Да, исправлено.
Сейчас достаточно в спеке указать
%add_findpackage_path %__kde4_bindir